// Copyright (c) FIRST and other WPILib contributors.
// Open Source Software; you can modify and/or share it under the terms of
// the WPILib BSD license file in the root directory of this project.

package frc.robot.commands;

import edu.wpi.first.wpilibj2.command.CommandBase;
import frc.robot.subsystems.Pistonshaker;

public class Acctivershaker extends CommandBase {
  private Pistonshaker pistonshaker;
  /** Creates a new Acctivershaker. */
  public Acctivershaker(Pistonshaker pistonshaker) {
    this.pistonshaker = pistonshaker;
    // Use addRequirements() here to declare subsystem dependencies.
    addRequirements(pistonshaker);
  }
  

  // Called when the command is initially scheduled.
  @Override
  public void initialize() {
    pistonshaker.sortirpiston();
  }

  // Called every time the scheduler runs while the command is scheduled.
  @Override
  public void execute() {}

  // Called once the command ends or is interrupted.
  @Override
  public void end(boolean interrupted) {
    pistonshaker.rentrerpiston();
  }

  // Returns true when the command should end.
  @Override
  public boolean isFinished() {
    return false;
  }
}
